(function (angular) {
    "use strict";
    // 引导页功能数据请求模块
    angular.module('account.service', ['global.service'])
        .factory('AccountFty', ['GlobalVariable', 'GlobalFunFty', function (GlobalVariable, GlobalFunFty) {

            return {
                getMyAuthenticateStatus: GlobalVariable.SERVER_PATH + '/myhome/shop/getMyAuthenticateStatus',

                getUserApi: GlobalVariable.SERVER_PATH + '/myhome/account/getAccountInfo',

                getUserInfo: function (obj) {
                    return GlobalFunFty.getPostInfos({
                        url: this.getUserApi,
                        data: obj
                    });
                },

                getInfo: function (obj) {
                    return GlobalFunFty.getGetInfos({
                        url: this.getMyAuthenticateStatus,
                        data: obj
                    });
                },

                getStates:　function (data) {
                    var userState;
                    if(!data){
                        userState = '未认证';
                        return userState;
                    }else if(data.auditStatus !== 2){
                        if(data.authenticationStatus !== 2){
                            userState = '未认证';
                        }else {
                            userState = '个人已认证';
                        }
                        return userState;
                    }else if(data.authenticationStatus === 1) {
                        userState = '个人已认证';
                    }else {
                        userState = '企业已认证';
                    }
                    return userState;
                },

                wechat: function () {
                    GlobalFunFty.wxNoShare();
                }
            };

        }]);

})(window.angular);