(function (angular) {
    "use strict";
    angular.module('components.myHeader', [])
        .directive('myHeader', function () {
            return {
                restrict: 'E',
                templateUrl: 'models/components/header/header.tmpl.html',
                controllerAs: 'MyHeaderController',
                scope: {
                    backLen: '@',
                    title: '@',
                    back: '@',
                    set: '@',
                    nexttitle: '@',
                },
                replace: true,
                link: function (scope, element, attrs) {
                    scope.next = function () {
                        scope.$emit('next-click',true);
                    };
                },
                controller: ['$state', '$scope', '$window', function ($state, $scope, $window) {
                    $scope.goback = function () {
                        // if($scope.prepage){
                        //     var obj = angular.fromJson($scope.prepage);
                        //     if(obj.name){
                        //         $state.go(obj.name,obj.params);
                        //         return;
                        //     }
                        // }
                        if($window.history.length === 1){
                            $state.go('tab.home');
                            return;
                        }
                        $window.history.go(-($scope.backLen || 1));
                    };
                }]
            };
        });

})(window.angular);