(function (angular) {
    "ues strict";
    angular.module('home.route', ['home.controller'])
        .config(['$stateProvider', function ($stateProvider) {

            $stateProvider
                .state('tab.home', {
                    url: '/home',
                    views: {
                        'tab-home': {
                            templateUrl: 'models/home/home.html',
                            controller: 'HomeCtrl'
                        }
                    }
                })
                .state('tab.home.search', {
                    url: '/search',
                    params: {
                        search: null
                    },
                    templateUrl: 'models/components/search/search.html',
                    controller: 'SearchCtrl'
                });

        }]);

}(window.angular));