(function (angular) {
    "use strict";
    angular.module('orderDetails.controller', ['orderDetails.service',])
        .controller('OrderDetailsCtrl', ['$scope', 'OrderDetailsFty', 'GlobalFunFty',
            function ($scope, OrderDetailsFty, GlobalFunFty) {

                $scope.$on('scroll-finish', function ($event, data) {
                    $event.stopPropagation();
                    $scope.jroll = data;

                    GlobalFunFty.JrollRefresh($scope.jroll, 500)
                });

                OrderDetailsFty.wechat();

                $scope.pageInfo = OrderDetailsFty.getPageInfo();

                OrderDetailsFty.getDetailInfo()
                    .then(function (data) {
                        $scope.orderInfo = data.data.data[0];
                    }, function (err) {
                        GlobalFunFty.info(err);
                    });
            }]);

}(window.angular));