(function (angular) {
    "use strict";
    angular.module('purchase.route', ['purchase.controller'])
        .config(['$stateProvider', function ($stateProvider) {

            $stateProvider
                .state('tab.purchase', {
                    url: '/purchase',
                    params:{
                        meatType:null,
                        keyWord:null,
                    },
                    views: {
                        'tab-purchase': {
                            templateUrl: 'models/purchase/purchase.html',
                            controller: 'PurchaseCtrl'
                        }
                    }
                })
                .state('tab.purchase.search', {
                    url: '/search',
                    params: {
                        search : null
                    },
                    templateUrl: 'models/components/search/search.html',
                    controller: 'SearchCtrl'
                });

        }]);

}(window.angular));