(function (angular) {
    "use strict";
    angular.module('setting.controller', ['setting.service', 'global.service'])
        .controller('SettingCtrl', ['$scope', '$state', 'GlobalFunFty', 'SettingFty',
            function ($scope, $state, GlobalFunFty, SettingFty) {

                GlobalFunFty.wxNoShare();

                $scope.count = -1;

                $scope.information = SettingFty.getPageInfo();

                $scope.$watch('information', function (oldval, newval) {
                    $scope.count++;
                }, true);

                $scope.sublimeMsg = function () {
                    if ($scope.count) {
                        SettingFty.addUserInfo($scope.information)
                            .then(function (data) {
                                GlobalFunFty.msg("修改成功");
                                SettingFty.setAllLocal($scope.information);
                                $state.go('tab.account');
                            }, function (data) {
                                GlobalFunFty.info(data);
                            });
                    } else {
                        $state.go('tab.account');
                    }
                };

                $scope.genderChoose = function () {
                    GlobalFunFty.showgenderModel(function (val) {
                        $scope.information.gender = val;
                        $scope.$apply();
                    });
                };
            }
        ]);

}(window.angular));