(function (angular) {
    "use strict";
    angular.module('shopGuide.controller', ['shopGuide.service', 'global.service'])
        .controller('ShopGuideCtrl', ['$scope', '$state', 'GlobalFunFty', '$location', function ($scope, $state, GlobalFunFty, $location) {
            GlobalFunFty.wxShare({
                title: "找牛网上开店交易忙，利用网络卖牛羊",
                link: $location.$$absUrl.split('#')[0] + '#/shopGuide/shopGuide/first'
            });
            $scope.agreed = false;
            $scope.goThird = function (agreed) {
                if(!agreed){
                    GlobalFunFty.msg("请同意找牛协议后才能继续");
                    return;
                }
                $state.go('shopGuide.third');
            };
        }]);

}(window.angular));