(function (angular) {
    "use strict";
    angular.module('shopGuide.route', ['shopGuide.controller'])
        .config(['$stateProvider', function ($stateProvider) {

            $stateProvider
                .state('shopGuide', {
                    url: '/shopGuide',
                    templateUrl: 'models/shopGuide/shopGuide.html',
                    controller: 'ShopGuideCtrl'
                })
                .state('shopGuide.first', {
                    url: '/shopGuide/first',
                    templateUrl: 'models/shopGuide/childPage/first.html',
                    controller: 'ShopGuideCtrl'
                })
                .state('shopGuide.second', {
                    url: '/shopGuide/second',
                    templateUrl: 'models/shopGuide/childPage/second.html',
                    controller: 'ShopGuideCtrl'
                })
                .state('shopGuide.third', {
                    url: '/shopGuide/third',
                    templateUrl: 'models/shopGuide/childPage/third.html',
                    controller: 'ShopGuideCtrl'
                });

        }]);

}(window.angular));