(function (angular) {
    "use strict";
    angular.module('supply.route', ['supply.controller'])
        .config(['$stateProvider', function ($stateProvider) {

            $stateProvider
                .state('tab.supply', {
                    url: '/supply',
                    params:{
                        meatType:null,
                        keyWord:null,
                    },
                    views: {
                        'tab-supply': {
                            templateUrl: 'models/supply/supply.html',
                            controller: 'SupplyCtrl'
                        }
                    }
                })
                .state('tab.supply.search', {
                url: '/search',
                params: {
                    search : null
                },
                templateUrl: 'models/components/search/search.html',
                controller: 'SearchCtrl'
            });

        }]);

}(window.angular));