(function (angular) {
    "use strict";
    // 全局属性方法模块
    angular.module('global', [])
        .constant("GlobalVariable", {
            // dev模式 调用log 方法
            'DEVELOP_VAL': true,
            // 服务器地址
            'SERVER_PATH': 'http://web.zhaoniuw.com/zhaoniuw_web',
            // 图片地址
            'UPLOAD_IMAGE': 'http://web.zhaoniuw.com/image/upload',
            // 微信
            'WECHAT_HOST': 'http://web.zhaoniuw.com/wechat_admin',
            'SHOW_IMG': 'http://web.zhaoniuw.com/image/p/',
            // 版本号
            'VERSION': "0.0.1",
            // 加密字符串
            'GLOBAL_STR': "sy0oPs3",
            // 供应更新天数
            'SUPPLY_UPDATA': 30,
            // 供应每页显示条数
            'SUPPLY_PAGESIZE': 10,
            // 供应当前页
            'OFFSET': 0,
            // 采购更新天数
            'PURCHASE_UPDATA': 15,
            // 采购当前页
            'PAGESIZE': 10,
            // 手机验证码等待时间
            'VERIFCODE_TIME': 120,
            'TEST_PHONE_REGXP': /^1[34578]\d{9}/,
            'IMG_OSS_RULE': function () {
                var base = '?x-oss-process=style/';

                return {
                    base_img: base + '190WM',
                    home: {
                        banner: base + '750',
                        recommend: base + '190WM',
                    },
                    deliveryDetails: base + '750WM',
                    supermarket: {
                        banner: base + '750',
                        goods: base + '240',
                        max_goods: base + '750',
                        shop_icon: base + '70',
                    },
                    personalStore: {
                        shop_icon: base + '150',
                        goods: base + '190WM'
                    },
                    authentication: base + '210'
                };
            }
        });
}(window.angular));