(function (angular) {
    "use strict";
    // 引导页功能数据请求模块
    angular.module('authentication.service', ['global.service'])
        .factory('AuthenticationFty', ['GlobalVariable', 'GlobalFunFty', '$state', function (GlobalVariable, GlobalFunFty, $state, $q) {

            return {

                getMyAuthenticateStatus: GlobalVariable.SERVER_PATH + '/myhome/shop/getMyAuthenticateStatus',

                getAuthInfo: function () {
                    var _this = this;
                    return GlobalFunFty.detLogin(true, function (obj) {
                        return GlobalFunFty.getGetInfos({
                            url: _this.getMyAuthenticateStatus,
                            data: obj
                        });
                    });
                },// 获取用户认证状态

                goChildrenPage: function (datainfo, fn) {

                    var data = datainfo.data.data,

                        what = data.authenticationStatus,

                        current = data.auditStatus;

                    if (!data) {  // 没有数据 则显示ing 状态

                        fn('begain', 'begain');
                    } else {
                        switch (what + '' + current) {

                            case '11':
                                fn('ing', 'not');
                                break;

                            case '12':
                                fn('end', 'fail', false, false, data);
                                break;

                            case '13':
                                fn('fail', 'fail', true, false, data);
                                break;

                            case '21':
                                fn('end', 'ing');
                                break;

                            case '22':
                                fn('end', 'end');
                                break;

                            case '23':
                                fn('end', 'fail', false, true, data);
                                break;

                            case '31':
                                fn('ing', 'ing');
                                break;

                            case '32':
                                fn('end', 'end');
                                break;

                            case '33':
                                fn('fail', 'fail', true, true, data);
                                break;
                        }
                    }
                },

                wechat: function () {
                    GlobalFunFty.wxNoShare();
                }
            };

        }]);

})(window.angular);