(function (angular) {
    "use strict";
    angular.module('changepassworld.controller', ['changepassworld.service', 'global.service'])
        .controller('ChangepassworldCtrl', ['$state', '$scope', '$window', 'ChangepassworldFty', 'GlobalFunFty',
            function ($state, $scope, $window, ChangepassworldFty, GlobalFunFty) {
                ChangepassworldFty.wechat();
                $scope.xiugai = {
                    oldPassword: '',
                    password: '',
                    confirmPwd: '',
                    uuid: GlobalFunFty.getLocal('uuid'),
                    signature: GlobalFunFty.getLocal('signature'),
                };
                $scope.sublimePassworld = function () {
                    ChangepassworldFty.verificationParams($scope.xiugai)
                        .then(function (data) {
                            GlobalFunFty.setLocal('password', $scope.xiugai.password.trim());
                            GlobalFunFty.msg('修改成功');
                            $state.go('setting');
                        }, function (err) {
                            GlobalFunFty.msg(err);
                        });
                };
            }]);

})(window.angular);