(function (angular) {
    "use strict";
    angular.module('collect.route', ['collect.controller', 'collectList.controller'])
        .config(['$stateProvider', function($stateProvider) {

            $stateProvider

                .state('collect', {
                    url: "/collect",
                    templateUrl: "models/collectsomething/collect.html",
                    controller: 'CollectCtrl',
                })

                .state('collect.goods', {
                    url: "/goods",
                    templateUrl: "models/collectsomething/goodsCollect.html",
                    controller: 'CollectListCtrl',
                })

                .state('collect.msg', {
                    url: "/msg",
                    templateUrl: "models/collectsomething/msgCollect.html",
                })

                .state('collect.msg.supply', {
                    url: "/supply",
                    templateUrl: "models/collectsomething/supply.html",
                    controller: 'CollectListCtrl',
                })

                .state('collect.msg.procure', {
                    url: "/procure",
                    templateUrl: "models/collectsomething/procure.html",
                    controller: 'CollectListCtrl',
                })

                .state('collect.shop', {
                    url: "/shop",
                    templateUrl: "models/collectsomething/shopCollect.html",
                    controller: 'CollectListCtrl',
                });
        }]);
})(window.angular);

