(function (angular) {
    "use strict";
    angular.module('delDet.route', ['delDet.controller'])
        .config(['$stateProvider', function ($stateProvider) {

            $stateProvider
                .state('deliveryDetails', {
                    url: '/deliveryDetails/:way/:id',
                    templateUrl: 'models/deliveryDetails/deliveryDetails.html',
                    controller: 'DelDetCtrl'
                })
                .state('deliveryDetails.image', {
                    url: '/image/:number',
                    params: {
                        imagebox : null,
                        number: null
                    },
                    template:'<i class="hide"></i>',
                    controller: ['$scope', '$stateParams', '$window',function ($scope, $stateParams , $window) {
                        $scope.current = $stateParams.number;
                        $scope.imagebox = $stateParams.imagebox;
                        if(!$scope.imagebox){
                            $window.history.back();
                            return;
                        };
                        $scope.$on('$stateChangeStart', function () {
                            $scope.imagebox.hide();
                        })
                    }]
                });

        }]);

})(window.angular);