(function (angular) {
    "use strict";
    angular.module('home.controller', ['home.service', 'global.service'])
        .controller('HomeCtrl', ['$scope', 'HomeFty', 'GlobalVariable',  function ($scope,  HomeFty, GlobalVariable) {

            HomeFty.wechat();// 微信分享

            $scope.toggleNav = function (val) {
                if($scope.currentNav === val) {return;}    // 如果点击的是相同的一个tab 就return
                $scope.recommend = [];  // 清空页面数据

                $scope.showEnd = false; // 显示加载 loading

                $scope.currentNav = val;    // 点击后 当前的按钮赋值

                HomeFty.getHomeRecomendInfo(val)    // 请求首页数据

                    .then(function (data) {
                        $scope.showEnd = true;
                        $scope.recommend = data.data.data;
                        $scope.fix = false;
                        $scope.jroll.scrollTo(0, 0, 0);
                    });
            };// 页面数据渲染

            $scope.repeatFinish = function () {
                HomeFty.refreshJrollL($scope.jroll);
            };// finish 完成事件

            $scope.toggleNav(1);// 默认渲染首页数据

            $scope.homeEnd = true;

            $scope.$on('scroll-finish', function ($event, data) {

                $event.stopPropagation();

                $scope.jroll = data;

                $scope.jroll.on("scroll", function() {
                    //该干嘛干嘛去...
                    if(this.y <= -241){
                        $scope.fix = true;
                        $scope.top = -this.y + 'px';
                    }else {
                        $scope.fix = false;
                    }
                    $scope.$apply();
                });

                $scope.jroll.on("scrollEnd", function() {
                    if(this.y === this.maxScrollY) {

                        if(!$scope.homeEnd){    // 第二次下拉 跳转

                            HomeFty.endGoNext($scope.currentNav - 1);
                        }else {     // 第一次下拉 赋值

                            $scope.homeEnd = false;
                        }
                    }else {

                        $scope.homeEnd = true;
                    }
                });// 判断是否到底部  进行下一页加载
            });// 这是 jroll 初始化完成事件  接受 scroll-content 事件

            // 图片 OSS
            $scope.oss_banner = GlobalVariable.IMG_OSS_RULE().home.banner
            $scope.oss_recommend = GlobalVariable.IMG_OSS_RULE().home.recommend


        }]);

}(window.angular));