(function (angular) {
    "use strict";
    // 引导页功能数据请求模块
    angular.module('home.service', ['global.service'])
        .factory('HomeFty', ['GlobalVariable', 'GlobalFunFty', '$timeout', '$state',
            function (GlobalVariable, GlobalFunFty, $timeout, $state) {

                return {
                    getImgApi: GlobalVariable.SERVER_PATH + '/home/getHomeBannerInfos',

                    getBeefApi: GlobalVariable.SERVER_PATH + '/home/getHomeRecommendBeefInfos',

                    getMuttonApi: GlobalVariable.SERVER_PATH + '/home/getHomeRecommendMuttonInfos',

                    getHomeRecomendInfo: function (val) {
                        return GlobalFunFty.getGetInfos({
                            url: val === 1 ? this.getBeefApi : this.getMuttonApi,
                        });
                    },// 获取首页推荐数据

                    refreshJrollL: function (Jroll) {
                        GlobalFunFty.JrollRefresh(Jroll);
                    },// Jroll refresh

                    endGoNext: function (params) {
                        $state.go('tab.supply', {
                            meatType: params,
                        });
                    }, // 滚动到底部后 再次滚动
                    wechat: function () {
                        GlobalFunFty.wxShare();
                    }
                };
            }]);

}(window.angular));