(function (angular) {
    "use strict";
    angular.module('login.route', ['login.controller'])
        .config(['$stateProvider', function ($stateProvider) {

            $stateProvider
                .state('login', {
                    url: '/login',
                    templateUrl: 'models/login/login.html',
                    controller: 'LoginCtrl'
                })
                .state('signup', {
                    url: '/signup',
                    templateUrl: 'models/login/signup.html',
                    controller: 'LoginCtrl'
                })
                .state('deal', {
                    url: '/deal',
                    templateUrl: 'models/login/registerDeal.html',
                    controller: 'LoginCtrl'
                })
                .state('findPassword', {
                    url: '/findPassword',
                    templateUrl: 'models/login/findPassword.html',
                    controller: 'LoginCtrl'
                });

        }]);

}(window.angular));