(function (angular) {
    "use strict";
    angular.module('myShop.service', ['global.service'])
        .factory('MyShopFty', ['GlobalVariable', 'GlobalFunFty', function (GlobalVariable, GlobalFunFty) {
            return {
                getMyShopInfoApi: GlobalVariable.SERVER_PATH + '/myhome/shop/getMyShop',
                addMyshopInfoApi: GlobalVariable.SERVER_PATH + '/myhome/shop/uploadLogoAndProfile',
                getShopInfo: function (obj) {
                    return GlobalFunFty.getGetInfos({
                        url: this.getMyShopInfoApi,
                        data: obj,
                    });
                },
                addShopInfo: function (obj) {
                    return GlobalFunFty.getPostInfos({
                        url: this.addMyshopInfoApi,
                        data:obj
                    });
                },
                uploadImage: function (formData) {
                    return GlobalFunFty.upLoadImage(formData);
                }
            };
        }]);

})(window.angular);