(function (angular) {
    "use strict";
    // 引导页功能数据请求模块
    angular.module('setting.service', ['global.service'])
        .factory('SettingFty', ['GlobalVariable', 'GlobalFunFty', function (GlobalVariable, GlobalFunFty) {
            return {
                sendmsgs: GlobalVariable.SERVER_PATH + '/myhome/account/editAccountInfo',
                getPageInfo: function () {
                    var obj = GlobalFunFty.paramsCopy(GlobalFunFty.getUserInfo(), {
                        username: GlobalFunFty.getLocal('username'),
                        gender: GlobalFunFty.getLocal('gender')? GlobalFunFty.getLocal('gender') === "1"?"女":"男":"未设置",
                        phone: GlobalFunFty.getLocal('phone'),
                        wechat: GlobalFunFty.getLocal('wechat'),
                        address: GlobalFunFty.getLocal('address'),
                        qq: GlobalFunFty.getLocal('qq'),
                    });
                    return obj;
                },
                addUserInfo: function (per) {
                    // 处理参数
                    var obj = GlobalFunFty.paramsCopy(per, {
                        gender: per.gender === '男' ? 0 : 1,
                    });
                    return GlobalFunFty.getGetInfos({
                        url: this.sendmsgs,
                        data: obj
                    });
                },
                setAllLocal: function (obj) {
                    angular.forEach(obj, function (val, key) {
                        if(key === 'gender') {
                            val = (val === '男' ? 0 : 1);
                        }
                        GlobalFunFty.setLocal(key, val);
                    });
                }
            };
        }]);

}(window.angular));