(function(angular){
    "use strict";
    // 引导页功能数据请求模块
    angular.module('supermarket.service', ['global.service'])
        .factory('SupermarketFty', ['GlobalVariable', 'GlobalFunFty', function (GlobalVariable, GlobalFunFty) {
            return {
                getAllShopApi: GlobalVariable.SERVER_PATH + '/shop/getAllShop',
                changeParams: function (params, something, page) {
                    var obj = {};
                    if(something){
                        obj[something] = true;
                    }
                    obj.offset = page;
                    return GlobalFunFty.paramsCopy(params, obj);
                },
                getAllShop: function (params, something, page) {
                    return GlobalFunFty.getGetInfos({
                        url: this.getAllShopApi,
                        data: this.changeParams(params, something, page)
                    });
                },
            };
        }]);

}(window.angular));