(function (angular) {
    "use strict";
    angular.module('tab.controller', [])
        .controller('TabCtrl', ['$scope', function ($scope) {
            $scope.tabsArr = [
                {currentState: 'tab.home', nominal: './img/tab/home.png', active: './img/tab/home1.png'},
                {currentState: 'tab.supply', nominal: './img/tab/buy.png', active: './img/tab/buy1.png'},
                {currentState: 'tab.purchase', nominal: './img/tab/issue.png', active: './img/tab/issue1.png'},
                {currentState: 'tab.account', nominal: './img/tab/personal.png', active: './img/tab/personal1.png'},
            ];
            $scope.tabImgs = {
                home: $scope.tabsArr[0].nominal,
                supply: $scope.tabsArr[1].nominal,
                purchase: $scope.tabsArr[2].nominal,
                account: $scope.tabsArr[3].nominal,
            };
            $scope.$on('$stateChangeSuccess', function (event, toState, toParams, fromState, fromParams) {
                angular.forEach($scope.tabsArr, function (val, index) {
                    switch (fromState.name) {
                        case $scope.tabsArr[3].currentState:
                            $scope.tabImgs.account = $scope.tabsArr[3].nominal;
                            break;
                        case $scope.tabsArr[2].currentState:
                            $scope.tabImgs.purchase = $scope.tabsArr[2].nominal;
                            break;
                        case $scope.tabsArr[1].currentState:
                            $scope.tabImgs.supply = $scope.tabsArr[1].nominal;
                            break;
                        case $scope.tabsArr[0].currentState:
                            $scope.tabImgs.home = $scope.tabsArr[0].nominal;
                            break;
                        default:
                            $scope.tabImgs.home = $scope.tabsArr[0].nominal;
                            break;
                    }
                    switch (toState.name) {
                        case $scope.tabsArr[3].currentState:
                            $scope.tabImgs.account = $scope.tabsArr[3].active;
                            break;
                        case $scope.tabsArr[2].currentState:
                            $scope.tabImgs.purchase = $scope.tabsArr[2].active;
                            break;
                        case $scope.tabsArr[1].currentState:
                            $scope.tabImgs.supply = $scope.tabsArr[1].active;
                            break;
                        case $scope.tabsArr[0].currentState:
                            $scope.tabImgs.home = $scope.tabsArr[0].active;
                            break;
                        default:
                            $scope.tabImgs.home = $scope.tabsArr[0].active;
                            break;
                    }
                });
            });


            $scope.fabuIcon = false;
            $scope.showClick = function () {
                $scope.fabuIcon = true;
                return false;
            };
            $scope.changeTeb = function () {

            };
        }]);

}(window.angular));